Uploaded image for project: 'Qt Creator'
  1. Qt Creator
  2. QTCREATORBUG-17794

Build qmake vs kit issue

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P2: Important
    • Resolution: Done
    • Affects Version/s: Qt Creator 4.2.1
    • Fix Version/s: Qt Creator 4.3.0
    • Labels:
      None
    • Environment:
      Qt 5.8
      Qt Creator 4.2.1
      Xcode 8.2
      OSX 10.11.6
      iPhone iOS 10.2.1

      Description

      Installed Qt Creator 4.2.1 as part of Qt 5.8 for Android, iOS
      Got a warning:
      "/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++"
      is used by qmake, but
      "/usr/bin/clang++"
      is configured in the kit.
      Please update your kit or choose a mkspec for qmake that matches your target environment better.

      Can I ignore this or do I have to change something and if yes, where exactly. THX

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            hunger Tobias Hunger
            Reporter:
            ekkescorner Ekkehard
            Votes:
            0 Vote for this issue
            Watchers:
            6 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes